Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataValueTreePane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataValueTreePane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/MetadataValueTreePane.java	(revision 18297)
@@ -98,7 +98,10 @@
     {
 	super();
-
+        JScrollPane scrol_tmp;
+        this.setComponentOrientation(Dictionary.getOrientation());
+        metadata_value_tree_label.setComponentOrientation(Dictionary.getOrientation());
 	// Card containing the metadata value tree
 	metadata_value_tree = new JTree();
+        metadata_value_tree.setComponentOrientation(Dictionary.getOrientation());
 	metadata_value_tree.getSelectionModel().setSelectionMode(TreeSelectionModel.SINGLE_TREE_SELECTION);
 	metadata_value_tree.setModel(null);
@@ -107,10 +110,14 @@
 
 	JPanel metadata_value_tree_pane = new JPanel();
+        metadata_value_tree_pane.setComponentOrientation(Dictionary.getOrientation());        
 	metadata_value_tree_pane.setLayout(new BorderLayout());
 	metadata_value_tree_pane.add(metadata_value_tree_label, BorderLayout.NORTH);
-	metadata_value_tree_pane.add(new JScrollPane(metadata_value_tree), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(metadata_value_tree);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	metadata_value_tree_pane.add(scrol_tmp, BorderLayout.CENTER);
 
 	// Card containing the "extracted metadata element selected" message
 	extracted_metadata_element_selected_message = new JTextArea("");
+        extracted_metadata_element_selected_message.setComponentOrientation(Dictionary.getOrientation());
 	extracted_metadata_element_selected_message.setEditable(false);
 	extracted_metadata_element_selected_message.setLineWrap(true);
@@ -119,4 +126,5 @@
 
 	JPanel extracted_metadata_element_selected_pane = new JPanel();
+        extracted_metadata_element_selected_pane.setComponentOrientation(Dictionary.getOrientation());
 	extracted_metadata_element_selected_pane.setBorder(BorderFactory.createEmptyBorder(25,0,0,0));
 	extracted_metadata_element_selected_pane.setLayout(new BorderLayout());
@@ -129,4 +137,5 @@
 	inherited_metadata_selected_message.setOpaque(false);
 	inherited_metadata_selected_message.setWrapStyleWord(true);
+        inherited_metadata_selected_message.setComponentOrientation(Dictionary.getOrientation());
 	
 	JPanel inherited_metadata_selected_pane = new JPanel();
@@ -134,5 +143,5 @@
 	inherited_metadata_selected_pane.setLayout(new BorderLayout());
 	inherited_metadata_selected_pane.add(inherited_metadata_selected_message, BorderLayout.CENTER);
-
+        inherited_metadata_selected_pane.setComponentOrientation(Dictionary.getOrientation());
 	// Card containing the "not one file only metadata selected" message
 	JTextArea not_one_file_only_metadata_selected_message = new JTextArea(Dictionary.get("EnrichPane.NotOneFileOnlyMetadataSelected"));
@@ -141,10 +150,12 @@
 	not_one_file_only_metadata_selected_message.setOpaque(false);
 	not_one_file_only_metadata_selected_message.setWrapStyleWord(true);
-	
+        not_one_file_only_metadata_selected_message.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel not_one_file_only_metadata_selected_pane = new JPanel();
 	not_one_file_only_metadata_selected_pane.setBorder(BorderFactory.createEmptyBorder(25,0,0,0));
 	not_one_file_only_metadata_selected_pane.setLayout(new BorderLayout());
 	not_one_file_only_metadata_selected_pane.add(not_one_file_only_metadata_selected_message, BorderLayout.CENTER);
-
+        not_one_file_only_metadata_selected_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Card containing the "no metadata element selected" message
 	JLabel no_metadata_element_selected_label = new JLabel(Dictionary.get("EnrichPane.No_Metadata_Element"));
@@ -152,11 +163,13 @@
 	no_metadata_element_selected_label.setOpaque(false);
 	no_metadata_element_selected_label.setVerticalAlignment(JLabel.CENTER);
-	
+        no_metadata_element_selected_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel no_metadata_element_selected_pane = new JPanel();
 	no_metadata_element_selected_pane.setLayout(new BorderLayout());
 	no_metadata_element_selected_pane.add(no_metadata_element_selected_label, BorderLayout.CENTER);
-
+        no_metadata_element_selected_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	card_layout = new CardLayout();
-
+        
 	this.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	this.setFont(Configuration.getFont("general.font", false));
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ModalProgressPopup.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ModalProgressPopup.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/ModalProgressPopup.java	(revision 18297)
@@ -31,4 +31,5 @@
 import javax.swing.*;
 import org.greenstone.gatherer.Configuration;
+import org.greenstone.gatherer.Dictionary;
 import org.greenstone.gatherer.Gatherer;
 
@@ -47,4 +48,5 @@
 	super(Gatherer.g_man, title);
 	this.message = message;
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
@@ -66,11 +68,17 @@
 	// Create
 	JProgressBar progress_bar = new JProgressBar();
+        progress_bar.setComponentOrientation(Dictionary.getOrientation());
 	progress_bar.setIndeterminate(true);
 
 	// Layout
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	content_pane.setLayout(new BorderLayout());
-	content_pane.add(new JLabel(message), BorderLayout.NORTH);
+        
+        JLabel tmp = new JLabel(message);
+        tmp.setComponentOrientation(Dictionary.getOrientation());
+	
+        content_pane.add(tmp, BorderLayout.NORTH);
 	content_pane.add(progress_bar, BorderLayout.CENTER);
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 18297)
@@ -90,6 +90,7 @@
      */
     public NewCollectionDetailsPrompt() {
-	super(Gatherer.g_man, true);
+	super(Gatherer.g_man, true);        
 	this.cancelled = true;
+        this.setComponentOrientation(Dictionary.getOrientation());
 	this.self = this;
 	// Setup
@@ -121,19 +122,30 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
 	content_pane.setOpaque(true);
 	JPanel upper_pane = new JPanel();
+        upper_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel instructions_label = new JLabel(Dictionary.get("NewCollectionPrompt.Instructions"));
-	
+	instructions_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel title_pane = new JPanel();
+        title_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel title_label = new JLabel(Dictionary.get("CDM.General.Collection_Name"));
+        title_label.setComponentOrientation(Dictionary.getOrientation());
 	title = new JTextField();
+        title.setComponentOrientation(Dictionary.getOrientation());
 	title.setPreferredSize(COMPONENT_SIZE);
 	title.setToolTipText(Dictionary.get("CDM.General.Collection_Name_Tooltip"));
 	JLabel name_label = new JLabel(Dictionary.get("NewCollectionPrompt.Collection_Name"));
-	
+	name_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel center_pane = new JPanel();
+        center_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel description_pane = new JPanel();
+        description_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel description_label = new JLabel(Dictionary.get("NewCollectionPrompt.Collection_Description"));
+        description_label.setComponentOrientation(Dictionary.getOrientation());
 	description = new JTextArea();
+        description.setComponentOrientation(Dictionary.getOrientation());
 	description.setBackground(Configuration.getColor("coloring.editable_background", false));
 	description.setForeground(Configuration.getColor("coloring.editable_foreground", false));
@@ -142,21 +154,33 @@
 	
 	JPanel bottom_pane = new JPanel();
+        bottom_pane.setComponentOrientation(Dictionary.getOrientation());
 	// Base Collection
 	JPanel base_collection_pane = new JPanel();
-	JLabel base_collection_label = new JLabel(Dictionary.get("NewCollectionPrompt.Base_Collection"));
-	base_collection = new JComboBox(base_collection_model);
+        base_collection_pane.setComponentOrientation(Dictionary.getOrientation());
+	
+        JLabel base_collection_label = new JLabel(Dictionary.get("NewCollectionPrompt.Base_Collection"));
+        base_collection_label.setComponentOrientation(Dictionary.getOrientation());
+	
+        base_collection = new JComboBox(base_collection_model);
+        base_collection.setComponentOrientation(Dictionary.getOrientation());    
 	base_collection.setOpaque(false);
 	base_collection.setToolTipText(Dictionary.get("NewCollectionPrompt.Base_Collection_Tooltip"));
 	
 	JPanel collection_scope_pane = new JPanel();
-	personal_collection_button = new JRadioButton(Dictionary.get("NewCollectionPrompt.Collection_Scope_Personal"));
+        collection_scope_pane.setComponentOrientation(Dictionary.getOrientation());
+	
+        personal_collection_button = new JRadioButton(Dictionary.get("NewCollectionPrompt.Collection_Scope_Personal"));
         personal_collection_button.setToolTipText(Dictionary.get("NewCollectionPrompt.Collection_Scope_Personal_Tooltip"));
 	personal_collection_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	personal_collection_button.setOpaque(false);
-	JRadioButton shared_collection_button = new JRadioButton(Dictionary.get("NewCollectionPrompt.Collection_Scope_Shared"));
+        personal_collection_button.setComponentOrientation(Dictionary.getOrientation());
+	
+        JRadioButton shared_collection_button = new JRadioButton(Dictionary.get("NewCollectionPrompt.Collection_Scope_Shared"));        
 	shared_collection_button.setToolTipText(Dictionary.get("NewCollectionPrompt.Collection_Scope_Shared_Tooltip")); 
 	shared_collection_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	shared_collection_button.setOpaque(false);
-	ButtonGroup collection_scope_group = new ButtonGroup();
+        shared_collection_button.setComponentOrientation(Dictionary.getOrientation());
+	
+        ButtonGroup collection_scope_group = new ButtonGroup();
 	collection_scope_group.add(personal_collection_button);
 	collection_scope_group.add(shared_collection_button);
@@ -164,4 +188,5 @@
 
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	create_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
 	JButton cancel_button = new GLIButton(Dictionary.get("General.Cancel"), Dictionary.get("General.Cancel_Tooltip"));
@@ -174,5 +199,5 @@
 	// Layout
 	title_pane.setLayout(new BorderLayout(5,0));
-	title_pane.add(title_label, BorderLayout.WEST);
+	title_pane.add(title_label, BorderLayout.LINE_START);
 	title_pane.add(title, BorderLayout.CENTER);
 
@@ -181,10 +206,14 @@
 	upper_pane.add(title_pane);
 
+        JScrollPane scrol_tmp;
+        
 	description_pane.setLayout(new BorderLayout());
-	description_pane.add(description_label, BorderLayout.NORTH);
-	description_pane.add(new JScrollPane(description), BorderLayout.CENTER);
+	description_pane.add(description_label, BorderLayout.NORTH);        
+        scrol_tmp=new JScrollPane(description);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	description_pane.add(scrol_tmp, BorderLayout.CENTER);
 
 	base_collection_pane.setLayout(new BorderLayout(5,0));
-	base_collection_pane.add(base_collection_label, BorderLayout.WEST);
+	base_collection_pane.add(base_collection_label, BorderLayout.LINE_START);
 	base_collection_pane.add(base_collection, BorderLayout.CENTER);
 
@@ -341,4 +370,5 @@
 	    if(title_final.length() == 0) {
 		JOptionPane jOptionPane=new JOptionPane();
+                jOptionPane.setComponentOrientation(Dictionary.getOrientation());
 		jOptionPane.setOpaque(!Utility.isMac());
 		jOptionPane.showMessageDialog(Gatherer.g_man, Dictionary.get("NewCollectionPrompt.Title_Error"), Dictionary.get("NewCollectionPrompt.Error"), JOptionPane.ERROR_MESSAGE);
@@ -349,4 +379,5 @@
 		if(titleClashes(title_final, null)) {
 		    JOptionPane jOptionPane=new JOptionPane();
+                    jOptionPane.setComponentOrientation(Dictionary.getOrientation());
 		    jOptionPane.setOpaque(!Utility.isMac());
 		    if (jOptionPane.showConfirmDialog(Gatherer.g_man, Dictionary.get("NewCollectionPrompt.Title_Clash"), Dictionary.get("General.Warning"), JOptionPane.YES_NO_OPTION) == JOptionPane.NO_OPTION) {
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NewFolderOrFilePrompt.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NewFolderOrFilePrompt.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NewFolderOrFilePrompt.java	(revision 18297)
@@ -62,4 +62,5 @@
     public NewFolderOrFilePrompt(CollectionTreeNode node, int type, String extension) {
 	super(Gatherer.g_man, true);
+        this.setComponentOrientation(Dictionary.getOrientation());
 	if (type == FileManager.FILE_TYPE) {
 	    setTitle(Dictionary.get("NewFolderOrFilePrompt.Title_File"));
@@ -87,17 +88,25 @@
 	setSize(SIZE);
 	JPanel content_pane = (JPanel) getContentPane();
-
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel labels_pane = new JPanel();
+        labels_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel fields_pane = new JPanel();
+        fields_pane.setComponentOrientation(Dictionary.getOrientation());
 	JPanel info_pane = new JPanel();
+        info_pane.setComponentOrientation(Dictionary.getOrientation());
 
 	JLabel destination_label = new JLabel(Dictionary.get("NewFolderOrFilePrompt.Destination_Name"));
-
+        destination_label.setComponentOrientation(Dictionary.getOrientation());
+        
 	JTextField destination_textfield = new JTextField(node.getFile().getName());
+        destination_textfield.setComponentOrientation(Dictionary.getOrientation());
 	destination_textfield.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
 	destination_textfield.setEditable(false);
 	
 	JLabel name_label = new JLabel();
+        name_label.setComponentOrientation(Dictionary.getOrientation());;
 	name_field = new JTextField(getAutomaticName());
+        name_field.setComponentOrientation(Dictionary.getOrientation());
 	if (type == FileManager.FILE_TYPE) {
 	    name_label.setText(Dictionary.get("NewFolderOrFilePrompt.File_Name"));
@@ -108,4 +117,5 @@
 	}
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	ok_button = new GLIButton(Dictionary.get("General.OK"), Dictionary.get("General.OK_Tooltip"));
 	
@@ -126,5 +136,5 @@
 	
 	info_pane.setLayout(new BorderLayout(5,0));
-	info_pane.add(labels_pane, BorderLayout.WEST);
+	info_pane.add(labels_pane, BorderLayout.LINE_START);
 	info_pane.add(fields_pane, BorderLayout.CENTER);
 
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NonWhitespaceField.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NonWhitespaceField.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/NonWhitespaceField.java	(revision 18297)
@@ -33,4 +33,6 @@
 import javax.swing.*;
 import javax.swing.text.*;
+import org.greenstone.gatherer.Dictionary;
+
 /** A JTextField that doesn't allow whitespace characters. 
  * @author John Thompson, Greenstone Digital Library, University of Waikato
@@ -42,12 +44,14 @@
     public NonWhitespaceField() {
 	super();
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
 
     public NonWhitespaceField(String text) {
 	super(text);
+        this.setComponentOrientation(Dictionary.getOrientation());
     }
  
     protected Document createDefaultModel() {
-	return new NonWhitespaceDocument();
+	return new NonWhitespaceDocument();        
     }
  
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/OpenCollectionDialog.java	(revision 18297)
@@ -63,4 +63,5 @@
 	super(Gatherer.g_man, "", true);
 	setJMenuBar(new SimpleMenuBar("openingacollection"));
+        this.setComponentOrientation(Dictionary.getOrientation());
 	setSize(SIZE);
 	setTitle(Dictionary.get("OpenCollectionDialog.Title"));
@@ -68,20 +69,32 @@
 	// Creation
 	JPanel content_pane = (JPanel) getContentPane();
-
+        content_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel center_pane = new JPanel();
-
+        center_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel collection_list_pane = new JPanel();
+        collection_list_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel collection_list_label = new JLabel(Dictionary.get("OpenCollectionDialog.Available_Collections"));
+        collection_list_label.setComponentOrientation(Dictionary.getOrientation());
 	collection_list = new JList(new CollectionListModel());
+        collection_list.setComponentOrientation(Dictionary.getOrientation());
+        
 	description_pane = new JPanel();
+        description_pane.setComponentOrientation(Dictionary.getOrientation());
 	card_layout = new CardLayout();
-
+        
 	JPanel blank_pane = new JPanel();
-
+        blank_pane.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel description_textarea_pane = new JPanel();
+        description_textarea_pane.setComponentOrientation(Dictionary.getOrientation());
 	JLabel description_textarea_label = new JLabel(Dictionary.get("OpenCollectionDialog.Description"));
+        description_textarea_label.setComponentOrientation(Dictionary.getOrientation());
 	description_textarea = new JTextArea();
-
+        description_textarea.setComponentOrientation(Dictionary.getOrientation());
+        
 	JPanel button_pane = new JPanel();
+        button_pane.setComponentOrientation(Dictionary.getOrientation());
 	open_button = new GLIButton(Dictionary.get("OpenCollectionDialog.Open"), Dictionary.get("OpenCollectionDialog.Open_Tooltip"));
 	open_button.setEnabled(false);
@@ -98,11 +111,17 @@
 
 	// Layout
+        JScrollPane scrol_tmp;
+        
 	collection_list_pane.setLayout(new BorderLayout());
 	collection_list_pane.add(collection_list_label, BorderLayout.NORTH);
-	collection_list_pane.add(new JScrollPane(collection_list), BorderLayout.CENTER);
+        scrol_tmp = new JScrollPane(collection_list);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	collection_list_pane.add(scrol_tmp, BorderLayout.CENTER);
 
 	description_textarea_pane.setLayout(new BorderLayout());
 	description_textarea_pane.add(description_textarea_label, BorderLayout.NORTH);
-	description_textarea_pane.add(new JScrollPane(description_textarea), BorderLayout.CENTER);
+	scrol_tmp =new JScrollPane(description_textarea);
+        scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+        description_textarea_pane.add(scrol_tmp, BorderLayout.CENTER);
 
 	description_pane.setLayout(card_layout);
@@ -115,5 +134,7 @@
 
 	button_pane.setLayout(new GridLayout(1,4));
-	button_pane.add(new JPanel());
+        JPanel tmp =new JPanel();
+        tmp.setComponentOrientation(Dictionary.getOrientation());
+	button_pane.add(tmp);
 	button_pane.add(open_button);
 	button_pane.add(cancel_button);
Index: /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/OptionsPane.java
===================================================================
--- /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/OptionsPane.java	(revision 18296)
+++ /gli/branches/rtl-gli/src/org/greenstone/gatherer/gui/OptionsPane.java	(revision 18297)
@@ -98,7 +98,9 @@
 	this.current_controls = new ArrayList();
 	this.writing_documents = new Vector();
-
+        this.setComponentOrientation(Dictionary.getOrientation());
+        
 	// Have to do this here, not in display, as the message log view may not have been displayed yet.
 	log_textarea = new JTextArea();
+        log_textarea.setComponentOrientation(Dictionary.getOrientation());
 	log_textarea.setEditable(false);
     }
@@ -148,4 +150,5 @@
       if(pane == null || current_mode >= Configuration.EXPERT_MODE) {
         pane = new JPanel();
+        pane.setComponentOrientation(Dictionary.getOrientation());
         pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
         pane.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
@@ -211,4 +214,5 @@
 	if(pane == null || current_mode >= Configuration.EXPERT_MODE) {
 	    pane = new JPanel();
+            pane.setComponentOrientation(Dictionary.getOrientation());
 	    pane.setBorder(BorderFactory.createEmptyBorder(5,5,5,5));
 	    pane.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
@@ -244,5 +248,5 @@
 	if (log_pane == null) {
 	    log_pane = new JPanel(new BorderLayout());
-
+            log_pane.setComponentOrientation(Dictionary.getOrientation());
 	    // Build a list of the log files available, ordering by last modified. Log files are like build_log.date.txt
 	    DefaultListModel contents = new DefaultListModel();
@@ -273,4 +277,5 @@
 
 	    log_list = new JList(contents);
+            log_list.setComponentOrientation(Dictionary.getOrientation());
 	    log_list.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
 	    log_list.setLayoutOrientation(JList.VERTICAL);
@@ -280,11 +285,17 @@
 
 	    JLabel log_history_label = new JLabel(Dictionary.get("OptionsPane.LogHistory"));
-	    JPanel log_history_pane = new JPanel();
+	    log_history_label.setComponentOrientation(Dictionary.getOrientation());
+            JPanel log_history_pane = new JPanel();
+            log_history_pane.setComponentOrientation(Dictionary.getOrientation());
 	    log_history_pane.setPreferredSize(new Dimension(600, 100));
 	    log_history_pane.setLayout(new BorderLayout());
 	    log_history_pane.add(log_history_label, BorderLayout.NORTH);
-	    log_history_pane.add(new JScrollPane(log_list), BorderLayout.CENTER);
+            JScrollPane scrol_tmp=new JScrollPane(log_list);
+            scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	    log_history_pane.add(scrol_tmp, BorderLayout.CENTER);
 	    
-	    log_pane.add(new JScrollPane(log_textarea), BorderLayout.CENTER);
+            scrol_tmp=new JScrollPane(log_textarea);
+            scrol_tmp.setComponentOrientation(Dictionary.getOrientation());
+	    log_pane.add(scrol_tmp, BorderLayout.CENTER);
 	    log_pane.add(log_history_pane, BorderLayout.SOUTH);
 	}
